Package org.eclipse.net4j.util.ui

## Class ComboAutoCompleter

- java.lang.Object
- - org.eclipse.net4j.util.ui.ComboAutoCompleter

- All Implemented Interfaces:
    `java.util.EventListener`, `ModifyListener`, `org.eclipse.swt.internal.SWTEventListener`

      public class ComboAutoCompleter
      extends java.lang.Object
      implements ModifyListener

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComboAutoCompleter​(ComboViewer viewer)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `attach​(ComboViewer viewer)` |
    `static void` | `attach​(ComboViewer viewer, ComboAutoCompleter completer)` |
    `ComboViewer` | `getViewer()` |
    `void` | `modifyText​(ModifyEvent e)` |
    `protected void` | `setSelection​(StructuredSelection selection)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComboAutoCompleter

          public ComboAutoCompleter​(ComboViewer viewer)

  - ### Method Detail

    - #### getViewer

          public final ComboViewer getViewer()

    - #### modifyText

          public final void modifyText​(ModifyEvent e)

      Specified by:
        `modifyText` in interface `ModifyListener`

    - #### setSelection

          protected void setSelection​(StructuredSelection selection)

    - #### attach

          public static void attach​(ComboViewer viewer,
                                    ComboAutoCompleter completer)

    - #### attach

          public static void attach​(ComboViewer viewer)